---
title: Link
url: https://docs.vultr.com/products/network/firewall-groups/management/link
description: A feature that allows you to connect your Vultr account with third-party services for enhanced functionality and integrations.
publish_date: 2024-09-23T20:21:59.509257Z
last_updated: 2026-05-26T20:06:43.988092Z
---

# How to Link a Vultr Firewall Group to an Instance

Linking a Vultr Firewall group to an instance enables the group's filtering rules to the main network interface. A Vultr Firewall group consists of multiple rules that define the flow of traffic and enable filtering of specific requests when linked to an instance.

Follow this guide to link a Vultr Firewall group to an instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products**, expand the **Network** drop-down and select **Firewall** from the list of options.
    1. Select your target firewall group to manage it.
    1. Click **Linked Instances** on the left navigation menu.
    1. Click the **Server** drop-down and select your target instance from the list and click **Add** to link the firewall group to the instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Firewall Groups** endpoint](https://www.vultr.com/api/#tag/firewall/operation/list-firewall-groups) and note the target firewall group's ID in your output.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note the target instance ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) with a new `firewall_group_id` value to link the instance to the firewall group.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
           -X PATCH \
           -H "Authorization: Bearer ${VULTR_API_KEY}" \
           -H "Content-Type: application/json" \
           --data '{
            "firewall_group_id" : "<target-firewall-group>"
        }'
        ```

=== "Vultr CLI"

    1. List all firewall groups in your Vultr account and note the target firewall group ID..

        ```console
        $ vultr-cli firewall group list
        ```

    1. List all instances in your Vultr account and note the target instance ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Link the firewall group to the instance.

        ```console
        $ vultr-cli instance update-firewall-group --instance-id  <target-instance>  --firewall-group-id  <target-firewall-group>
        ```
